Bug 588357 - Memory test option missing from i386 DVD, CD1, and netinst images
Memory test option missing from i386 DVD, CD1, and netinst images
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
13
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks: F13Target
  Show dependency treegraph
 
Reported: 2010-05-03 10:42 EDT by Andre Robatino
Modified: 2013-01-10 00:55 EST (History)
5 users (show)

See Also:
Fixed In Version: anaconda-13.40-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-05 13:56:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andre Robatino 2010-05-03 10:42:50 EDT
Description of problem:
On the initial "Welcome to Fedora 13!" menu screen for 13.TC1, the "Memory test" option is missing from the i386 DVD, CD1, and netinst images.  The option is present on all x86_64 images.  Checking just DVDs, it was also missing from F12 i386, but present in F11 i386.
Comment 1 Jesse Keating 2010-05-03 18:25:47 EDT
This comes from buildinstall.  The log files don't mention memtest, and the anaconda code looks OK, so I'm going to do a buildinstall in extreme verbosity mode to see if I notice anything.  *sigh*
Comment 2 Jesse Keating 2010-05-03 23:39:11 EDT
Ok, figured it out, and oddly it was lines of code I fixed last year, when we went from i386 based to i586.  Now that we're i686 based I needed to modify those same lines of code.  Patch sent, waiting for acks.
Comment 3 Jesse Keating 2010-05-04 12:39:44 EDT
Pushed upstream, will be in the next build of anaconda.
Comment 4 Fedora Update System 2010-05-05 01:16:35 EDT
anaconda-13.40-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/anaconda-13.40-1.fc13
Comment 5 Fedora Update System 2010-05-05 03:23:06 EDT
anaconda-13.40-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update anaconda'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/anaconda-13.40-1.fc13
Comment 6 Andre Robatino 2010-05-05 13:22:42 EDT
Fixed in 13.0505 boot.iso (Memory test option exists and is functional).
Comment 7 James Laska 2010-05-05 13:56:44 EDT
Thanks Andre, I'm going to close this issue out.
Comment 8 Fedora Update System 2010-05-06 02:55:15 EDT
anaconda-13.40-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.